# Tracking Manager

This module allows to track all fields on every model that has a chatter, including one2many and many2many ones. This excludes the computed, readonly, related fields by default. In addition, line changes of a one2many field can be tracked (e.g. product_uom_qty of an order_line in a sale order).

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

- In setting > models: select a model
- Check “Active” under Custom Tracking.
- You have two options - 1) manually configure tracked fields one by one, or 2) determine tracked fields based on a specific domain.
- For 1) manually configure tracked fields one by one - Click on Tracked Fields smart button, and select/unselect Custom Tracking.
- For 2) determine tracked fields based on a specific domain - Select “Automatic configuration”, and then set the domain accordingly. - Click “Update” for the domain to take effect.

- Then select the fields to track

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Akretion

## Contributors

- Kévin Roche <kevin.roche@akretion.com>
- Sébastien BEAU <sebastien.beau@akretion.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainers:

This module is part of the OCA/server-tools project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.